name: enclosed-exceptions
version: 1.0.1.1
id: enclosed-exceptions-1.0.1.1-5axtyggC6DjIxCfhBBeDko
key: enclosed-exceptions-1.0.1.1-5axtyggC6DjIxCfhBBeDko
license: MIT
maintainer: jmacristovao@gmail.com, michael@snoyman.com
author: Michael Snoyman, João Cristóvão
homepage: https://github.com/jcristovao/enclosed-exceptions
synopsis: Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>
category: Control
abi: 6221a83bdcdbdebaa2a613640b13910a
exposed: True
exposed-modules:
    Control.Exception.Enclosed
import-dirs: /usr/local/lib/ghc/enclosed-exceptions-1.0.1.1
library-dirs: /usr/local/lib/ghc/enclosed-exceptions-1.0.1.1
dynamic-library-dirs: /usr/local/lib/ghc/enclosed-exceptions-1.0.1.1
data-dir: /usr/local/share/hs-enclosed-exceptions-1.0.1.1
hs-libraries: HSenclosed-exceptions-1.0.1.1-5axtyggC6DjIxCfhBBeDko
depends:
    async-2.2.1-4fWSSJ8SFccIxQJVItkRnX base-4.12.0.0 deepseq-1.4.4.0
    lifted-base-0.2.3.6-918mEcUNLdGJqq8W2JWxxw
    monad-control-1.0.0.4-AcK9ASuxkE084ciqHOIhwh transformers-0.5.6.2
    transformers-base-0.4.4-1mj2e5MR6zr3cRGVEYdRZ3
haddock-interfaces: /usr/local/share/doc/hs-enclosed-exceptions-1.0.1.1/html/enclosed-exceptions.haddock
haddock-html: /usr/local/share/doc/hs-enclosed-exceptions-1.0.1.1/html
